## com.sun.jersey.server.wadl
Class ApplicationDescription

    java.lang.Object
      com.sun.jersey.server.wadl.ApplicationDescription

    public class ApplicationDescription

extends java.lang.Object

This class is designed to combine the Application instance with any other external metadata that might be required to describe the application.

Author:
  Gerard Davison

Nested Class Summary
`static class` | `ApplicationDescription.ExternalGrammar` A simple holder class that stores a type and binary content to be used to return extra metadata with

Method Summary
`com.sun.research.ws.wadl.Application` | `getApplication()`
`ApplicationDescription.ExternalGrammar` | `getExternalGrammar(java.lang.String path)`
`java.util.Set<java.lang.String>` | `getExternalMetadataKeys()`

`

`<T> T`

`

`resolve(java.lang.Class type, MediaType mt, java.lang.Class<T> resolvedType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getApplication

    public com.sun.research.ws.wadl.Application getApplication()

  Returns:
    The instance of the application object

### resolve

    public <T> T resolve(java.lang.Class type,
                         MediaType mt,
                         java.lang.Class<T> resolvedType)

  Returns:
    the name for the given Class in the grammar of type resolvedType

### getExternalGrammar

    public ApplicationDescription.ExternalGrammar getExternalGrammar(java.lang.String path)

  Returns:
    the external metadata for a give URL, generally provided as a sub resource or the root application.wadl

### getExternalMetadataKeys

    public java.util.Set<java.lang.String> getExternalMetadataKeys()

  Returns:
    A set of all the external metadata keys

Copyright © 2017 Oracle Corporation. All Rights Reserved.